Skip to main content
PATCH
/
inbound
/
domains
/
{uuid}
/
forward-rules
/
{ruleUuid}
curl --request PATCH \
  --url https://api.jetemail.com/inbound/domains/{uuid}/forward-rules/{ruleUuid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "destination": "[email protected]"
}
'
{
  "success": true,
  "result": {
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "localpart": "<string>",
    "destination": "[email protected]",
    "active": 0,
    "verified": 0,
    "last_modified": 123,
    "created_at": 123
  }
}

Authorizations

Authorization
string
header
required

API key for account management endpoints. Use your api_ prefixed token.

Path Parameters

uuid
string<uuid>
required

UUID of the domain

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
ruleUuid
string<uuid>
required

UUID of the forwarding rule

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Body

application/json
destination
string<email>

New destination email. Validated as a bare local@domain.

active
boolean

Toggle the rule on/off without deleting it.

Response

Rule updated

success
boolean
Example:

true

result
object